Functions | Variables

# console_func.h File Reference

Console functions used outside of the console code. More...

`#include "console_type.h"`

Go to the source code of this file.

## Functions
void | IConsoleInit ()
void | IConsoleFree ()
void | IConsoleClose ()
| Close the in-game console.
void | IConsolePrint (TextColour colour_code, const char *string)
| Handle the printing of text entered into the console or redirected there by any other means.
void CDECL | IConsolePrintF (TextColour colour_code, const char *format,...) WARN_FORMAT(2
void CDECL void | IConsoleDebug (const char *dbg, const char *string)
| It is possible to print debugging information to the console, which is achieved by using this function.
void | IConsoleWarning (const char *string)
| It is possible to print warnings to the console.
void | IConsoleError (const char *string)
| It is possible to print error information to the console.
void | IConsoleCmdExec (const char *cmdstr)
| Execute a given command passed to us.
bool | IsValidConsoleColour (TextColour c)
| Check whether the given TextColour is valid for console usage.
## Variables
IConsoleModes | _iconsole_mode

## Detailed Description

Console functions used outside of the console code.

Definition in file console_func.h.

## Function Documentation

void IConsoleClose | ( |  | ) |

Close the in-game console.

Definition at line 443 of file console_gui.cpp.

References ICONSOLE_OPENED, and IConsoleSwitch().

Referenced by InitWindowSystem().

void IConsoleCmdExec | ( | const char * | cmdstr | ) |

Execute a given command passed to us.

First chop it up into individual tokens (separated by spaces), then execute it if possible

Parameters:

  | cmdstr | string to be parsed and executed

Definition at line 407 of file console.cpp.

References CC_ERROR, CHR_ALLOW, CHR_DISALLOW, CHR_HIDE, CS_ALPHANUMERAL, DEBUG, IConsoleCmd::hook, ICON_MAX_STREAMSIZE, ICON_TOKEN_COUNT, IConsoleAliasExec(), IConsoleAliasGet(), IConsoleCmdGet(), IConsoleError(), IConsolePrintF(), IsValidChar(), lengthof, IConsoleCmd::proc, RemoveUnderscores(), and StrEmpty().

Referenced by IConsoleAliasExec(), TCPClientConnecter::OnConnect(), IConsoleWindow::OnKeyPress(), and AfterNewGRFScan::OnNewGRFsScanned().

void CDECL void IConsoleDebug | ( | const char * | dbg,
|  | const char * | string |
| ) |  |  |

It is possible to print debugging information to the console, which is achieved by using this function.

Can only be used by debug() in debug.cpp. You need at least a level 2 (developer) for debugging messages to show up

Parameters:

  | dbg | debugging category
  | string | debugging message

Definition at line 152 of file console.cpp.

References _settings_client, CC_DEBUG, GUISettings::developer, ClientSettings::gui, and IConsolePrintF().

Referenced by debug_print().

void IConsoleError | ( | const char * | string | ) |

It is possible to print error information to the console.

This can include game errors, or errors in general you would want the user to notice

Definition at line 173 of file console.cpp.

References CC_ERROR, and IConsolePrintF().

Referenced by DEF_CONSOLE_CMD(), DEF_CONSOLE_HOOK(), IConsoleAliasExec(), IConsoleAliasRegister(), IConsoleCmdExec(), NetworkAvailable(), and ShowErrorMessage().

void IConsolePrint | ( | TextColour | colour_code,
|  | const char * | string |
| ) |  |  |

Handle the printing of text entered into the console or redirected there by any other means.

Text can be redirected to other clients in a network game as well as to a logfile. If the network server is a dedicated server, all activities are also logged. All lines to print are added to a temporary buffer which can be used as a history to print them onscreen

Parameters:

  | colour_code | the colour of the command. Red in case of errors, etc.
  | string | the message entered or output on the console (notice, error, etc.)

Definition at line 86 of file console.cpp.

References _network_dedicated, _redirect_console_to_admin, _redirect_console_to_client, free(), GetLogPrefix(), IConsoleGUIPrint(), INVALID_ADMIN_ID, INVALID_CLIENT_ID, IsValidConsoleColour(), NetworkAdminConsole(), NetworkServerSendAdminRcon(), NetworkServerSendRcon(), str_strip_colours(), and str_validate().

Referenced by DEF_CONSOLE_CMD(), IConsolePrintF(), ClientNetworkGameSocketHandler::Receive_SERVER_RCON(), and ShowErrorMessage().

void IConsoleWarning | ( | const char * | string | ) |

It is possible to print warnings to the console.

These are mostly errors or mishaps, but non-fatal. You need at least a level 1 (developer) for debugging messages to show up

Definition at line 163 of file console.cpp.

References _settings_client, CC_WARNING, GUISettings::developer, ClientSettings::gui, and IConsolePrintF().

bool IsValidConsoleColour | ( | TextColour | c | ) |

Check whether the given TextColour is valid for console usage.

Parameters:

  | c | The text colour to compare to.

Returns:
  true iff the TextColour is valid for console usage.

Definition at line 513 of file console_gui.cpp.

References _colour_gradient, and TC_IS_PALETTE_COLOUR.

Referenced by IConsolePrint(), IConsolePrintF(), and ClientNetworkGameSocketHandler::Receive_SERVER_RCON().